
QGIS Application - Bug report #20313

Python deprecation warning: invalid escape sequence

2018-11-01 01:48 PM - Andrea Giudiceandrea

Status: Reopened

Priority: Normal

Assignee:

Category: MetaSearch Catalogue Client

Affected QGIS version:3.4.5 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28134

Description

QGIS 3.4.0 standalone installer on W7 64 bit with a fresh new profile

Python warning

WARNING    warning:C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\requests\status_codes.py:18:

DeprecationWarning: invalid escape sequence \o

              """ 

             traceback: File "", line 1, in 

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 335, in startPlugin

              plugins[packageName] = package.classFactory(iface)

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\MetaSearch\__init__.py", line 29, in classFactory

              from MetaSearch.plugin import MetaSearchPlugin

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\MetaSearch\plugin.py", line 34, in 

              from MetaSearch.dialogs.maindialog import MetaSearchDialog

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\MetaSearch\dialogs\maindialog.py", line 50, in 

              from owslib.csw import CatalogueServiceWeb # spellok

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\owslib\csw.py", line 27, in 
              from owslib.util import OrderedDict

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\owslib\util.py", line 32, in 

              import requests

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\requests\__init__.py", line 114, in 

              from .models import Request, Response, PreparedRequest

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\requests\models.py", line 43, in 

              from .status_codes import codes

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 724, in exec_module

              File "", line 860, in get_code

              File "", line 791, in source_to_code

              File "", line 219, in _call_with_frames_removed

History

#1 - 2018-11-01 01:51 PM - Alessandro Pasotti

- Category changed from Python plugins to MetaSearch Catalogue Client

#2 - 2018-11-01 05:50 PM - Andrea Giudiceandrea

I don't know if the warning depends by the MetaSearch plugin. If I disable it (leaving only DB Manager and Processing), the number of warnings increases!

2018-11-01T17:47:33     WARNING    warning:C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\requests\status_codes.py:18:

DeprecationWarning: invalid escape sequence \o

              """ 
             traceback: File "", line 1, in 

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 299, in loadPlugin

              __import__(packageName)

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\__init__.py", line 29, in 

              from processing.tools.general import * # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\tools\general.py", line 39, in 

              from processing.core.Processing import Processing

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\core\Processing.py", line 58, in 

              from processing.algs.qgis.QgisAlgorithmProvider import QgisAlgorithmProvider # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\qgis\QgisAlgorithmProvider.py", line 36, in 

              import plotly # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\__init__.py", line 31, in 

              from plotly import (plotly, dashboard_objs, graph_objs, grid_objs, tools,

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 1035, in _handle_fromlist

              File "", line 219, in _call_with_frames_removed

              File "", line 983, in _find_and_load
              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\plotly\__init__.py", line 10, in 

              from . plotly import (

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\plotly\plotly.py", line 28, in 

              from requests.compat import json as _json

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 953, in _find_and_load_unlocked

              File "", line 219, in _call_with_frames_removed

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\requests\__init__.py", line 114, in 

              from .models import Request, Response, PreparedRequest

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\requests\models.py", line 43, in 

              from .status_codes import codes

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 724, in exec_module

              File "", line 860, in get_code

              File "", line 791, in source_to_code

              File "", line 219, in _call_with_frames_removed

2018-11-01T17:47:33     WARNING    warning:C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\basedatatypes.py:38:

DeprecationWarning:

             invalid escape sequence \[

             traceback: File "", line 1, in 

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 299, in loadPlugin
              __import__(packageName)

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\__init__.py", line 29, in 

              from processing.tools.general import * # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\tools\general.py", line 39, in 

              from processing.core.Processing import Processing

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\core\Processing.py", line 58, in 

              from processing.algs.qgis.QgisAlgorithmProvider import QgisAlgorithmProvider # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\qgis\QgisAlgorithmProvider.py", line 36, in 

              import plotly # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\__init__.py", line 31, in 

              from plotly import (plotly, dashboard_objs, graph_objs, grid_objs, tools,

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 1035, in _handle_fromlist

              File "", line 219, in _call_with_frames_removed

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked
              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\plotly\__init__.py", line 10, in 

              from . plotly import (

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\plotly\plotly.py", line 32, in 

              from plotly.basedatatypes import BaseTraceType, BaseFigure, BaseLayoutType

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 724, in exec_module

              File "", line 860, in get_code

              File "", line 791, in source_to_code

              File "", line 219, in _call_with_frames_removed

2018-11-01T17:47:33     WARNING    warning:C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\basedatatypes.py:3479:

DeprecationWarning:

             invalid escape sequence \d

             traceback: File "", line 1, in 

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 299, in loadPlugin

              __import__(packageName)

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\__init__.py", line 29, in 

              from processing.tools.general import * # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\tools\general.py", line 39, in 

              from processing.core.Processing import Processing

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked
              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\core\Processing.py", line 58, in 

              from processing.algs.qgis.QgisAlgorithmProvider import QgisAlgorithmProvider # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\qgis\QgisAlgorithmProvider.py", line 36, in 

              import plotly # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\__init__.py", line 31, in 

              from plotly import (plotly, dashboard_objs, graph_objs, grid_objs, tools,

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 1035, in _handle_fromlist

              File "", line 219, in _call_with_frames_removed

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\plotly\__init__.py", line 10, in 

              from . plotly import (

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\plotly\plotly.py", line 32, in 

              from plotly.basedatatypes import BaseTraceType, BaseFigure, BaseLayoutType

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 724, in exec_module

              File "", line 860, in get_code

              File "", line 791, in source_to_code

              File "", line 219, in _call_with_frames_removed
2018-11-01T17:47:34     WARNING    warning:C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\_plotly_utils\basevalidators.py:984:

DeprecationWarning:

             invalid escape sequence \(

             traceback: File "", line 1, in 

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 299, in loadPlugin

              __import__(packageName)

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\__init__.py", line 29, in 

              from processing.tools.general import * # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\tools\general.py", line 39, in 

              from processing.core.Processing import Processing

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\core\Processing.py", line 58, in 

              from processing.algs.qgis.QgisAlgorithmProvider import QgisAlgorithmProvider # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\qgis\QgisAlgorithmProvider.py", line 36, in 

              import plotly # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\__init__.py", line 31, in 

              from plotly import (plotly, dashboard_objs, graph_objs, grid_objs, tools,
              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 1035, in _handle_fromlist

              File "", line 219, in _call_with_frames_removed

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\plotly\__init__.py", line 10, in 

              from . plotly import (

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\plotly\plotly.py", line 32, in 

              from plotly.basedatatypes import BaseTraceType, BaseFigure, BaseLayoutType

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\basedatatypes.py", line 13, in 

              from _plotly_utils.basevalidators import (

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 724, in exec_module

              File "", line 860, in get_code

              File "", line 791, in source_to_code

              File "", line 219, in _call_with_frames_removed

2018-11-01T17:47:34     WARNING    warning:C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\_plotly_utils\basevalidators.py:1401:

DeprecationWarning:

             invalid escape sequence \^

             traceback: File "", line 1, in 

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 299, in loadPlugin

              __import__(packageName)

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module
              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\__init__.py", line 29, in 

              from processing.tools.general import * # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\tools\general.py", line 39, in 

              from processing.core.Processing import Processing

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\core\Processing.py", line 58, in 

              from processing.algs.qgis.QgisAlgorithmProvider import QgisAlgorithmProvider # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\qgis\QgisAlgorithmProvider.py", line 36, in 

              import plotly # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\__init__.py", line 31, in 

              from plotly import (plotly, dashboard_objs, graph_objs, grid_objs, tools,

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 1035, in _handle_fromlist

              File "", line 219, in _call_with_frames_removed

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\plotly\__init__.py", line 10, in 

              from . plotly import (

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load
              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\plotly\plotly.py", line 32, in 

              from plotly.basedatatypes import BaseTraceType, BaseFigure, BaseLayoutType

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\basedatatypes.py", line 13, in 

              from _plotly_utils.basevalidators import (

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 724, in exec_module

              File "", line 860, in get_code

              File "", line 791, in source_to_code

              File "", line 219, in _call_with_frames_removed

2018-11-01T17:47:34     WARNING    warning:C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\_plotly_utils\basevalidators.py:1408:

DeprecationWarning:

             invalid escape sequence \d

             traceback: File "", line 1, in 

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 299, in loadPlugin

              __import__(packageName)

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\__init__.py", line 29, in 

              from processing.tools.general import * # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\tools\general.py", line 39, in 

              from processing.core.Processing import Processing

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)
              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\core\Processing.py", line 58, in 

              from processing.algs.qgis.QgisAlgorithmProvider import QgisAlgorithmProvider # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\qgis\QgisAlgorithmProvider.py", line 36, in 

              import plotly # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\__init__.py", line 31, in 

              from plotly import (plotly, dashboard_objs, graph_objs, grid_objs, tools,

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 1035, in _handle_fromlist

              File "", line 219, in _call_with_frames_removed

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\plotly\__init__.py", line 10, in 

              from . plotly import (

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\plotly\plotly.py", line 32, in 

              from plotly.basedatatypes import BaseTraceType, BaseFigure, BaseLayoutType

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\basedatatypes.py", line 13, in 
              from _plotly_utils.basevalidators import (

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 724, in exec_module

              File "", line 860, in get_code

              File "", line 791, in source_to_code

              File "", line 219, in _call_with_frames_removed

2018-11-01T17:47:36     WARNING    warning:C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py:672: DeprecationWarning:

             Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working

             traceback: File "", line 1, in 

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 299, in loadPlugin

              __import__(packageName)

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\__init__.py", line 29, in 

              from processing.tools.general import * # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\tools\general.py", line 39, in 

              from processing.core.Processing import Processing

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\core\Processing.py", line 58, in 

              from processing.algs.qgis.QgisAlgorithmProvider import QgisAlgorithmProvider # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\qgis\QgisAlgorithmProvider.py", line 36, in 
              import plotly # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\__init__.py", line 31, in 

              from plotly import (plotly, dashboard_objs, graph_objs, grid_objs, tools,

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 1035, in _handle_fromlist

              File "", line 219, in _call_with_frames_removed

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\plotly\__init__.py", line 10, in 

              from . plotly import (

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\plotly\plotly.py", line 37, in 

              from plotly.grid_objs import Grid, Column

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\grid_objs\__init__.py", line 8, in 

              from plotly.grid_objs.grid_objs import Grid, Column

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\grid_objs\grid_objs.py", line 8, in 

              from collections import MutableSequence

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 1032, in _handle_fromlist

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\collections\__init__.py", line 52, in __getattr__

              DeprecationWarning, stacklevel=2)
2018-11-01T17:47:36     WARNING    warning:C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\yaml\constructor.py:126:

DeprecationWarning:

             Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working

             traceback: File "", line 1, in 

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 299, in loadPlugin

              __import__(packageName)

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\__init__.py", line 29, in 

              from processing.tools.general import * # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\tools\general.py", line 39, in 

              from processing.core.Processing import Processing

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\core\Processing.py", line 58, in 

              from processing.algs.qgis.QgisAlgorithmProvider import QgisAlgorithmProvider # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\qgis\QgisAlgorithmProvider.py", line 48, in 

              from .QgisAlgorithm import QgisAlgorithm

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\qgis\QgisAlgorithm.py", line 30, in 
              from processing.algs.help import shortHelp

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\help\__init__.py", line 58, in 

              shortHelp = loadShortHelp()

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\help\__init__.py", line 40, in loadShortHelp

              h.update(yaml.load(stream))

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\yaml\__init__.py", line 72, in load

              return loader.get_single_data()

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\yaml\constructor.py", line 37, in get_single_data

              return self.construct_document(node)

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\yaml\constructor.py", line 46, in construct_document

              for dummy in generator:

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\yaml\constructor.py", line 398, in construct_yaml_map

              value = self.construct_mapping(node)

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\yaml\constructor.py", line 204, in construct_mapping

              return super().construct_mapping(node, deep=deep)

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\yaml\constructor.py", line 126, in construct_mapping

              if not isinstance(key, collections.Hashable):

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\collections\__init__.py", line 52, in __getattr__

              DeprecationWarning, stacklevel=2)

2018-11-01T17:47:37     WARNING    warning:C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\gui\wrappers.py:1736:

DeprecationWarning:

             invalid escape sequence \A

             traceback: File "", line 1, in 

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 299, in loadPlugin

              __import__(packageName)

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\__init__.py", line 29, in 

              from processing.tools.general import * # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\tools\general.py", line 39, in 

              from processing.core.Processing import Processing
              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\core\Processing.py", line 60, in 

              from processing.algs.gdal.GdalAlgorithmProvider import GdalAlgorithmProvider # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\gdal\GdalAlgorithmProvider.py", line 36, in 

              from .AssignProjection import AssignProjection

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\gdal\AssignProjection.py", line 36, in 

              from processing.algs.gdal.GdalAlgorithm import GdalAlgorithm

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\gdal\GdalAlgorithm.py", line 41, in 

              from processing.algs.gdal.GdalAlgorithmDialog import GdalAlgorithmDialog

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\gdal\GdalAlgorithmDialog.py", line 46, in 

              from processing.gui.AlgorithmDialog import AlgorithmDialog

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\gui\AlgorithmDialog.py", line 57, in 
              from processing.gui.ParametersPanel import ParametersPanel

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\gui\ParametersPanel.py", line 56, in 

              from processing.gui.wrappers import WidgetWrapperFactory, WidgetWrapper

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 724, in exec_module

              File "", line 860, in get_code

              File "", line 791, in source_to_code

              File "", line 219, in _call_with_frames_removed

2018-11-01T17:47:37     WARNING    warning:C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\gui\wrappers.py:1751:

DeprecationWarning:

             invalid escape sequence \A

             traceback: File "", line 1, in 

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 299, in loadPlugin

              __import__(packageName)

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\__init__.py", line 29, in 

              from processing.tools.general import * # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\tools\general.py", line 39, in 

              from processing.core.Processing import Processing

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed
              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\core\Processing.py", line 60, in 

              from processing.algs.gdal.GdalAlgorithmProvider import GdalAlgorithmProvider # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\gdal\GdalAlgorithmProvider.py", line 36, in 

              from .AssignProjection import AssignProjection

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\gdal\AssignProjection.py", line 36, in 

              from processing.algs.gdal.GdalAlgorithm import GdalAlgorithm

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\gdal\GdalAlgorithm.py", line 41, in 

              from processing.algs.gdal.GdalAlgorithmDialog import GdalAlgorithmDialog

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\gdal\GdalAlgorithmDialog.py", line 46, in 

              from processing.gui.AlgorithmDialog import AlgorithmDialog

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\gui\AlgorithmDialog.py", line 57, in 

              from processing.gui.ParametersPanel import ParametersPanel

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module
              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\gui\ParametersPanel.py", line 56, in 

              from processing.gui.wrappers import WidgetWrapperFactory, WidgetWrapper

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 724, in exec_module

              File "", line 860, in get_code

              File "", line 791, in source_to_code

              File "", line 219, in _call_with_frames_removed

#3 - 2019-03-09 09:33 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

I'm not seeing them on fresh installs of QGIS 3/master on Windows, I assume that this was fixed, if not please ask to reopen.

#4 - 2019-03-12 08:45 PM - Andrea Giudiceandrea

Confirmed on my Windows 7 64 bit system with QGIS 3.4.5-1 (89ee6f6e23) standalone installer (64 bit) using a new profile

2019-03-12T20:27:25     WARNING    warning:C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\requests\status_codes.py:18:

DeprecationWarning: invalid escape sequence \o

              """ 

             traceback: File "", line 1, in 

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis-ltr/./python\qgis\utils.py", line 335, in startPlugin

              plugins[packageName] = package.classFactory(iface)

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis-ltr/./python/plugins\MetaSearch\__init__.py", line 29, in classFactory

              from MetaSearch.plugin import MetaSearchPlugin

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis-ltr/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis-ltr/./python/plugins\MetaSearch\plugin.py", line 34, in 

              from MetaSearch.dialogs.maindialog import MetaSearchDialog

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis-ltr/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed
              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis-ltr/./python/plugins\MetaSearch\dialogs\maindialog.py", line 50, in 

              from owslib.csw import CatalogueServiceWeb # spellok

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis-ltr/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\owslib\csw.py", line 27, in 

              from owslib.util import OrderedDict

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis-ltr/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\owslib\util.py", line 32, in 

              import requests

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis-ltr/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\requests\__init__.py", line 114, in 

              from .models import Request, Response, PreparedRequest

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis-ltr/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\requests\models.py", line 43, in 

              from .status_codes import codes

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis-ltr/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 724, in exec_module

              File "", line 860, in get_code

              File "", line 791, in source_to_code

              File "", line 219, in _call_with_frames_removed

#5 - 2019-03-12 08:46 PM - Andrea Giudiceandrea

- Affected QGIS version changed from 3.4.0 to 3.4.5
- Status changed from Closed to Reopened

#6 - 2019-03-12 08:46 PM - Andrea Giudiceandrea

- Resolution deleted (fixed/implemented)
